From 38d8690e2478fa87849483cb25a9842c6554d452 Mon Sep 17 00:00:00 2001
From: Justin Zobel <justin@1707.io>
Date: Jan 19 2022 02:55:11 +0000
Subject: Updated spec for Fedora Review


---

diff --git a/PACKAGE-LICENSING b/PACKAGE-LICENSING
new file mode 100644
index 0000000..c6d868a
--- /dev/null
+++ b/PACKAGE-LICENSING
@@ -0,0 +1,173 @@
+
+*No copyright* Creative Commons CC0 1.0
+---------------------------------------
+angelfish-21.12/.kde-ci.yml
+
+*No copyright* GNU General Public License, Version 2
+----------------------------------------------------
+angelfish-21.12/angelfish-webapp/contents/ui/WebAppView.qml
+angelfish-21.12/angelfish-webapp/contents/ui/webapp.qml
+angelfish-21.12/lib/angelfishwebprofile.cpp
+angelfish-21.12/lib/angelfishwebprofile.h
+angelfish-21.12/lib/bookmarkshistorymodel.cpp
+angelfish-21.12/lib/bookmarkshistorymodel.h
+angelfish-21.12/lib/browsermanager.cpp
+angelfish-21.12/lib/browsermanager.h
+angelfish-21.12/lib/contents/ui/AuthSheet.qml
+angelfish-21.12/lib/contents/ui/DownloadQuestion.qml
+angelfish-21.12/lib/contents/ui/ErrorHandler.qml
+angelfish-21.12/lib/contents/ui/JavaScriptDialogSheet.qml
+angelfish-21.12/lib/contents/ui/ListWebView.qml
+angelfish-21.12/lib/contents/ui/PermissionQuestion.qml
+angelfish-21.12/lib/contents/ui/WebDeveloperTools.qml
+angelfish-21.12/lib/contents/ui/WebView.qml
+angelfish-21.12/lib/dbmanager.cpp
+angelfish-21.12/lib/dbmanager.h
+angelfish-21.12/lib/downloadmanager.cpp
+angelfish-21.12/lib/downloadmanager.h
+angelfish-21.12/lib/iconimageprovider.cpp
+angelfish-21.12/lib/iconimageprovider.h
+angelfish-21.12/lib/qquickwebenginedownloaditem.cpp
+angelfish-21.12/lib/qquickwebenginedownloaditem.h
+angelfish-21.12/lib/sqlquerymodel.cpp
+angelfish-21.12/lib/sqlquerymodel.h
+angelfish-21.12/lib/urlobserver.cpp
+angelfish-21.12/lib/urlobserver.h
+angelfish-21.12/lib/urlutils.cpp
+angelfish-21.12/lib/urlutils.h
+angelfish-21.12/lib/useragent.cpp
+angelfish-21.12/lib/useragent.h
+angelfish-21.12/src/adblockfilterlistsmanager.cpp
+angelfish-21.12/src/adblockfilterlistsmanager.h
+angelfish-21.12/src/adblockfilterlistsmodel.cpp
+angelfish-21.12/src/adblockfilterlistsmodel.h
+angelfish-21.12/src/adblockurlinterceptor.cpp
+angelfish-21.12/src/adblockurlinterceptor.h
+angelfish-21.12/src/contents/ui/AdblockFilterDownloadQuestion.qml
+angelfish-21.12/src/contents/ui/Bookmarks.qml
+angelfish-21.12/src/contents/ui/Downloads.qml
+angelfish-21.12/src/contents/ui/FindInPageBar.qml
+angelfish-21.12/src/contents/ui/History.qml
+angelfish-21.12/src/contents/ui/HistorySheet.qml
+angelfish-21.12/src/contents/ui/InputSheet.qml
+angelfish-21.12/src/contents/ui/Navigation.qml
+angelfish-21.12/src/contents/ui/NavigationEntrySheet.qml
+angelfish-21.12/src/contents/ui/NewTabQuestion.qml
+angelfish-21.12/src/contents/ui/SettingsAdblock.qml
+angelfish-21.12/src/contents/ui/SettingsNavigationBarPage.qml
+angelfish-21.12/src/contents/ui/SettingsPage.qml
+angelfish-21.12/src/contents/ui/SettingsSearchEnginePage.qml
+angelfish-21.12/src/contents/ui/SettingsWebApps.qml
+angelfish-21.12/src/contents/ui/ShareSheet.qml
+angelfish-21.12/src/contents/ui/Tabs.qml
+angelfish-21.12/src/contents/ui/UrlDelegate.qml
+angelfish-21.12/src/contents/ui/webbrowser.qml
+angelfish-21.12/src/downloadsmodel.cpp
+angelfish-21.12/src/downloadsmodel.h
+angelfish-21.12/src/rs/adblock/Cargo.toml
+angelfish-21.12/src/rs/adblock/build.rs
+angelfish-21.12/src/rs/adblock/src/adblock.rs
+angelfish-21.12/src/rs/adblock/src/lib.rs
+angelfish-21.12/src/rs/adblock/src/logging.rs
+angelfish-21.12/src/webappcreator.h
+angelfish-21.12/src/webappmanager.cpp
+angelfish-21.12/src/webappmanager.h
+angelfish-21.12/src/webappmanagermodel.cpp
+angelfish-21.12/src/webappmanagermodel.h
+
+*No copyright* GNU General Public License, Version 3
+----------------------------------------------------
+angelfish-21.12/lib/contents/ui/SelectDropdownOverrideDialog.qml
+angelfish-21.12/lib/contents/ui/select_overrides.js
+
+*No copyright* GNU Library General Public License, Version 2.0
+--------------------------------------------------------------
+angelfish-21.12/CMakeLists.txt
+angelfish-21.12/angelfish-webapp/CMakeLists.txt
+angelfish-21.12/angelfish-webapp/main.cpp
+angelfish-21.12/autotests/CMakeLists.txt
+angelfish-21.12/autotests/browsermanagertest.cpp
+angelfish-21.12/autotests/configtest.cpp
+angelfish-21.12/autotests/dbmanagertest.cpp
+angelfish-21.12/autotests/tabsmodeltest.cpp
+angelfish-21.12/lib/angelfishsettings.kcfg
+angelfish-21.12/lib/angelfishsettings.kcfgc
+angelfish-21.12/lib/settingshelper.cpp
+angelfish-21.12/lib/settingshelper.h
+angelfish-21.12/lib/tabsmodel.cpp
+angelfish-21.12/lib/tabsmodel.h
+angelfish-21.12/src/CMakeLists.txt
+angelfish-21.12/src/main.cpp
+angelfish-21.12/src/webappcreator.cpp
+
+*No copyright* MIT License
+--------------------------
+angelfish-21.12/src/regex-weburl/regex-weburl.js
+
+GNU General Public License, Version 2
+-------------------------------------
+angelfish-21.12/LICENSES/GPL-2.0-or-later.txt
+
+GNU Library General Public License, Version 2.0
+-----------------------------------------------
+angelfish-21.12/LICENSES/LGPL-2.0-only.txt
+angelfish-21.12/LICENSES/LGPL-2.0-or-later.txt
+
+MIT License
+-----------
+angelfish-21.12/LICENSES/MIT.txt
+
+Unknown or generated
+--------------------
+angelfish-21.12/.gitlab-ci.yml
+angelfish-21.12/.gitlab/issue_templates/default_issue.md
+angelfish-21.12/Cargo.lock
+angelfish-21.12/Cargo.toml
+angelfish-21.12/Messages.sh
+angelfish-21.12/README.md
+angelfish-21.12/angelfish-webapp/webapp-resources.qrc
+angelfish-21.12/autotests/data/simplebookmarks.json
+angelfish-21.12/flatpak/corrosion-generated-sources.json
+angelfish-21.12/flatpak/generated-sources.json
+angelfish-21.12/flatpak/regenerate-sources.sh
+angelfish-21.12/lib/CMakeLists.txt
+angelfish-21.12/lib/resources.qrc
+angelfish-21.12/org.kde.angelfish.desktop
+angelfish-21.12/org.kde.angelfish.json
+angelfish-21.12/org.kde.angelfish.metainfo.xml
+angelfish-21.12/org.kde.angelfish.svg
+angelfish-21.12/po/az/angelfish.po
+angelfish-21.12/po/ca/angelfish.po
+angelfish-21.12/po/ca@valencia/angelfish.po
+angelfish-21.12/po/cs/angelfish.po
+angelfish-21.12/po/da/angelfish.po
+angelfish-21.12/po/de/angelfish.po
+angelfish-21.12/po/el/angelfish.po
+angelfish-21.12/po/en_GB/angelfish.po
+angelfish-21.12/po/es/angelfish.po
+angelfish-21.12/po/et/angelfish.po
+angelfish-21.12/po/eu/angelfish.po
+angelfish-21.12/po/fi/angelfish.po
+angelfish-21.12/po/fr/angelfish.po
+angelfish-21.12/po/gl/angelfish.po
+angelfish-21.12/po/hu/angelfish.po
+angelfish-21.12/po/ia/angelfish.po
+angelfish-21.12/po/it/angelfish.po
+angelfish-21.12/po/ko/angelfish.po
+angelfish-21.12/po/lt/angelfish.po
+angelfish-21.12/po/nl/angelfish.po
+angelfish-21.12/po/nn/angelfish.po
+angelfish-21.12/po/pa/angelfish.po
+angelfish-21.12/po/pl/angelfish.po
+angelfish-21.12/po/pt/angelfish.po
+angelfish-21.12/po/pt_BR/angelfish.po
+angelfish-21.12/po/ru/angelfish.po
+angelfish-21.12/po/sk/angelfish.po
+angelfish-21.12/po/sl/angelfish.po
+angelfish-21.12/po/sv/angelfish.po
+angelfish-21.12/po/tr/angelfish.po
+angelfish-21.12/po/uk/angelfish.po
+angelfish-21.12/po/zh_CN/angelfish.po
+angelfish-21.12/po/zh_TW/angelfish.po
+angelfish-21.12/src/angelfish.notifyrc
+angelfish-21.12/src/angelfish.qrc
diff --git a/angelfish-21.12-1.fc35.src.rpm b/angelfish-21.12-1.fc35.src.rpm
index d4bf75a..0f36568 100644
Binary files a/angelfish-21.12-1.fc35.src.rpm and b/angelfish-21.12-1.fc35.src.rpm differ
diff --git a/angelfish.spec b/angelfish.spec
index fa56840..fc11948 100644
--- a/angelfish.spec
+++ b/angelfish.spec
@@ -1,13 +1,13 @@
 Name:           angelfish
 Version:        21.12
 Release:        1%{?dist}
-Summary:        Plasma Mobile minimal webbrowser
+Summary:        Plasma Mobile minimal web browser
 
 License:        MIT and GPLv2+ and LGPLv2 and LGPLv2+
+# For a breakdown of the licensing, see PACKAGE-LICENSING
 URL:            https://invent.kde.org/plasma-mobile/%{name}
 Source0:        https://download.kde.org/stable/plasma-mobile/%{version}/%{name}-%{version}.tar.xz
 
-
 BuildRequires:  gcc
 BuildRequires:  gcc-c++
 BuildRequires:  cmake
@@ -37,13 +37,11 @@ BuildRequires:  cmake(KF5WindowSystem)
 BuildRequires:  cmake(KF5Purpose)
 BuildRequires:  cmake(Qt5WebEngine)
 
-
 Requires:       kf5-kirigami2
 Requires:       hicolor-icon-theme
 Requires:       qt5-qtwayland
 Requires:       qt5-qtfeedback
 
-
 %description
 Web browser for mobile devices with Plasma integration
 
@@ -60,7 +58,7 @@ Web browser for mobile devices with Plasma integration
 
 %check
 desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop
-appstream-util validate-relax %{buildroot}%{_kf5_metainfodir}/org.kde.%{name}.metainfo.xml
+appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.%{name}.metainfo.xml
 
 
 %files -f %{name}.lang
@@ -81,6 +79,5 @@ appstream-util validate-relax %{buildroot}%{_kf5_metainfodir}/org.kde.%{name}.me
 * Tue Jan 11 2022 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.12-1
 - Version bump 21.12 and cosmetic fixes 
 
-
 * Fri Nov 05 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.08-1
 - initial version angelfish

